## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ManagedPropertyTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ManagedPropertyTypeImpl

All Implemented Interfaces:
  ManagedPropertyType

    public class ManagedPropertyTypeImpl

extends EObjectImpl
implements ManagedPropertyType

An implementation of the model object 'Managed Property Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Property Name`
- `Property Class`
- `Map Entries`
- `Null Value`
- `Value`
- `List Entries`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetListEntries(ListEntriesType newListEntries, NotificationChain msgs)`
`NotificationChain` `basicSetMapEntries(MapEntriesType newMapEntries, NotificationChain msgs)`
`NotificationChain` `basicSetNullValue(NullValueType newNullValue, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyClass(PropertyClassType newPropertyClass, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyName(PropertyNameType newPropertyName, NotificationChain msgs)`
`NotificationChain` `basicSetValue(ValueType newValue, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`ListEntriesType` `getListEntries()`
`MapEntriesType` `getMapEntries()`
`NullValueType` `getNullValue()`
`PropertyClassType` `getPropertyClass()`
`PropertyNameType` `getPropertyName()`
`ValueType` `getValue()`
`void` `setId(java.lang.String newId)`
`void` `setListEntries(ListEntriesType newListEntries)`
`void` `setMapEntries(MapEntriesType newMapEntries)`
`void` `setNullValue(NullValueType newNullValue)`
`void` `setPropertyClass(PropertyClassType newPropertyClass)`
`void` `setPropertyName(PropertyNameType newPropertyName)`
`void` `setValue(ValueType newValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedPropertyType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedPropertyType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedPropertyType_Icon()`

### getPropertyName

    public PropertyNameType getPropertyName()

  Specified by:
    `getPropertyName` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Property Name' containment reference.
  See Also:
    `ManagedPropertyType.setPropertyName(PropertyNameType)`, `FacesConfigPackage.getManagedPropertyType_PropertyName()`

### basicSetPropertyName

    public NotificationChain basicSetPropertyName(PropertyNameType newPropertyName,
                                                  NotificationChain msgs)

  Parameters:
    `newPropertyName` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyName

    public void setPropertyName(PropertyNameType newPropertyName)

  Specified by:
    `setPropertyName` in interface `ManagedPropertyType`
  Parameters:
    `newPropertyName` - the new value of the 'Property Name' containment reference.
  See Also:
    `ManagedPropertyType.getPropertyName()`

### getPropertyClass

    public PropertyClassType getPropertyClass()

  Specified by:
    `getPropertyClass` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Property Class' containment reference.
  See Also:
    `ManagedPropertyType.setPropertyClass(PropertyClassType)`, `FacesConfigPackage.getManagedPropertyType_PropertyClass()`

### basicSetPropertyClass

    public NotificationChain basicSetPropertyClass(PropertyClassType newPropertyClass,
                                                   NotificationChain msgs)

  Parameters:
    `newPropertyClass` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyClass

    public void setPropertyClass(PropertyClassType newPropertyClass)

  Specified by:
    `setPropertyClass` in interface `ManagedPropertyType`
  Parameters:
    `newPropertyClass` - the new value of the 'Property Class' containment reference.
  See Also:
    `ManagedPropertyType.getPropertyClass()`

### getMapEntries

    public MapEntriesType getMapEntries()

  Specified by:
    `getMapEntries` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Map Entries' containment reference.
  See Also:
    `ManagedPropertyType.setMapEntries(MapEntriesType)`, `FacesConfigPackage.getManagedPropertyType_MapEntries()`

### basicSetMapEntries

    public NotificationChain basicSetMapEntries(MapEntriesType newMapEntries,
                                                NotificationChain msgs)

  Parameters:
    `newMapEntries` -
    `msgs` -
  Returns:
    the notification chain

### setMapEntries

    public void setMapEntries(MapEntriesType newMapEntries)

  Specified by:
    `setMapEntries` in interface `ManagedPropertyType`
  Parameters:
    `newMapEntries` - the new value of the 'Map Entries' containment reference.
  See Also:
    `ManagedPropertyType.getMapEntries()`

### getNullValue

    public NullValueType getNullValue()

  Specified by:
    `getNullValue` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Null Value' containment reference.
  See Also:
    `ManagedPropertyType.setNullValue(NullValueType)`, `FacesConfigPackage.getManagedPropertyType_NullValue()`

### basicSetNullValue

    public NotificationChain basicSetNullValue(NullValueType newNullValue,
                                               NotificationChain msgs)

  Parameters:
    `newNullValue` -
    `msgs` -
  Returns:
    the notification chain

### setNullValue

    public void setNullValue(NullValueType newNullValue)

  Specified by:
    `setNullValue` in interface `ManagedPropertyType`
  Parameters:
    `newNullValue` - the new value of the 'Null Value' containment reference.
  See Also:
    `ManagedPropertyType.getNullValue()`

### getValue

    public ValueType getValue()

  Specified by:
    `getValue` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `ManagedPropertyType.setValue(ValueType)`, `FacesConfigPackage.getManagedPropertyType_Value()`

### basicSetValue

    public NotificationChain basicSetValue(ValueType newValue,
                                           NotificationChain msgs)

  Parameters:
    `newValue` -
    `msgs` -
  Returns:
    the notification chain

### setValue

    public void setValue(ValueType newValue)

  Specified by:
    `setValue` in interface `ManagedPropertyType`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `ManagedPropertyType.getValue()`

### getListEntries

    public ListEntriesType getListEntries()

  Specified by:
    `getListEntries` in interface `ManagedPropertyType`
  Returns:
    the value of the 'List Entries' containment reference.
  See Also:
    `ManagedPropertyType.setListEntries(ListEntriesType)`, `FacesConfigPackage.getManagedPropertyType_ListEntries()`

### basicSetListEntries

    public NotificationChain basicSetListEntries(ListEntriesType newListEntries,
                                                 NotificationChain msgs)

  Parameters:
    `newListEntries` -
    `msgs` -
  Returns:
    the notification chain

### setListEntries

    public void setListEntries(ListEntriesType newListEntries)

  Specified by:
    `setListEntries` in interface `ManagedPropertyType`
  Parameters:
    `newListEntries` - the new value of the 'List Entries' containment reference.
  See Also:
    `ManagedPropertyType.getListEntries()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ManagedPropertyType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ManagedPropertyType.setId(String)`, `FacesConfigPackage.getManagedPropertyType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ManagedPropertyType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ManagedPropertyType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()